<!--
title: Installation Manual
description: Description of suggested installation procedure
published: true
date: 2024-10-07T09:49:06.406Z
tags: guide, installation, instructions
editor: ckeditor
dateCreated: 2020-10-23T10:17:20.438Z
-->

<p style="text-align:justify;">This is a manual on how to install Garuda Linux. If you have done it before, you might still want to stay here because you may learn something new 😁</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Before it starts</h2>
<ul>
  <li style="text-align:justify;">To learn about the installation of<strong> Garuda on MacBook Pro</strong>, you can visit<strong> &nbsp;</strong><a href="https://wiki.garudalinux.org/en/installation-instructions-macbook-pro"><strong>this page</strong></a>.</li>
  <li style="text-align:justify;"><strong>Check your hardware</strong>. To check <strong>Garuda's</strong> system requirements and some other notes, visit <a href="https://wiki.garudalinux.org/en/system-requirements"><strong>this wiki page</strong></a>. (optional if you are sure that your computer will not explode)</li>
  <li style="text-align:justify;">If you want to <strong>dual-boot with Windows (this is unsupported)! </strong>⚠️<ul>
      <li style="text-align:justify;">Make sure you install Windows first. This is technically optional if you have a UEFI system and know your way around changing the default bootloader, but installing Windows first is the easier way.</li>
      <li style="text-align:justify;">Make sure to select “<strong>install alongside</strong>” in the partitioning step in the installer.</li>
    </ul>
  </li>
  <li style="text-align:justify;"><strong>Download the preferred edition</strong>. Also, verify the checksum to ensure that the file is downloaded successfully.</li>
  <li style="text-align:justify;"><strong>Create a bootable USB</strong> using DD, Popsicle, Ventoy, or <a href="https://wiki.archlinux.org/title/USB_flash_installation_medium">any of the methods mentioned in the ArchWiki</a>.</li>
  <li style="text-align:justify;">Once it's done, boot the drive you just flashed above by selecting it as a boot option in your device's BIOS/UEFI setup.</li>
  <li style="text-align:justify;">More information on how to achieve this might be available <a href="https://searx.garudalinux.org/search?q=BIOS%20menu%20key%20brand&amp;categories=general"><strong>here</strong></a> as the procedure depends on the device manufacturer.</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Installation</h2>
<p style="text-align:justify;">We booted the live installation medium. Click on the “<strong>Install</strong>” button on the desktop to launch <strong>Calamares</strong>. You should plug in a charging cable if you are using a laptop. An internet connection is optional.</p>
<figure class="image image_resized" style="width:68.32%;"><img src="/screenshots/calamares.webp">
  <figcaption>The Calamares installer</figcaption>
</figure>
<p style="text-align:justify;">Once it opens you will notice that there are <strong>8 steps in Calamares</strong>:</p>
<ul>
  <li style="text-align:justify;"><strong>WELCOME</strong> - Pick your preferred system/installer language</li>
  <li style="text-align:justify;"><strong>LOCATION</strong> - Set your device timezone</li>
  <li style="text-align:justify;"><strong>KEYBOARD</strong> - Set your Keyboard layout</li>
  <li style="text-align:justify;"><strong>PARTITIONS</strong>
    <ul>
      <li style="text-align:justify;">If you don't care, choose “<strong>Erase Disk</strong>”. This is recommended if you want to use Garuda as the main OS.</li>
      <li style="text-align:justify;">If you want to dual boot with an existing OS, select “install alongside”. You can then select a partition to be resized in the partition view at the bottom of the page.</li>
      <li style="text-align:justify;">If you care, select “<strong>Manual Partitioning</strong>”. A partitioning/mounts editor will be available later in the setup process. Only use this if you know what you are doing. The previous 2 options should be sufficient in the vast majority of cases.</li>
    </ul>
  </li>
  <li style="text-align:justify;"><strong>USERS</strong> - Configure your initial admin user</li>
  <li style="text-align:justify;"><strong>SUMMARY</strong> - The changes that will be applied will be shown to you one last time.</li>
  <li style="text-align:justify;"><strong>INSTALL</strong> - The actual installation of Garuda Linux. The progress bar will show the current installation progress.</li>
  <li style="text-align:justify;"><strong>FINISH</strong> - Self-explanatory.</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<p style="text-align:justify;"><strong>MAY BE USEFUL:</strong></p>
<ul>
  <li style="text-align:justify;"><a href="https://wiki.archlinux.org/title/Partitioning"><strong>An Arch Linux wiki page about partitioning</strong></a></li>
  <li style="text-align:justify;"><a href="https://wiki.archlinux.org/title/Dual_boot_with_Windows"><strong>An Arch Linux wiki page about dual booting with Windows</strong></a> (pls, dont)</li>
</ul>
<p style="text-align:justify;">&nbsp;</p>
<h2 style="text-align:justify;">Post-installation</h2>
<p style="text-align:justify;">Okay, you installed Garuda Linux, right? Congrats! I'm proud of you!</p>
<p style="text-align:justify;">Let's start with some essential things to do after the installation.</p>
<p style="text-align:justify;">&nbsp;</p>
<h3 style="text-align:justify;">Setup assistant - running through steps automatically</h3>
<p style="text-align:justify;">The setup assistant will open up after the first boot process has been completed. It will run you through some essential steps which should be performed after an installation and offers an additional wizard which can install a lot of common Linux software. The first prompt will ask you to update the system, which is highly recommended. This will run the update, update mirror lists to get the best download speed, a few additional maintenance tasks, and most importantly: it can apply eventually required manual interventions automatically by updating the <a href="https://gitlab.com/garuda-linux/packages/stable-pkgbuilds/garuda-update/-/blob/master/garuda-update">garuda-update</a> script to the latest version before proceeding with the actual update. We occasionally use this to work around some problematic situations like the recent example of a <a href="https://forum.garudalinux.org/t/intervention-potentially-required-python-3-10-and-you/15342">required reinstallation of all packages</a> affected by Arch pushing Python 3.10 to its repos.</p>
<figure class="image"><img src="/screenshots/setup-assistant-update.png"></figure>
<p>After that, you can start the application wizard to help find fitting and required software - printer support is also one of those options.&nbsp;</p>
<figure class="image"><img src="/screenshots/setup-assistant-software.png"></figure>
<p style="text-align:justify;">Most applications have a short description about what the package actually does - this can help you decide which option to take.&nbsp;</p>
<figure class="image"><img src="/screenshots/setup-assistant-selection.png"></figure>
<p>In the end, the assistant will open a terminal window to install &amp; set up the selected options. Additional setup (like enabling systemd services) for packages that require them will be handled automatically.</p>
<p style="text-align:justify;">&nbsp;</p>
<h3 style="text-align:justify;">Conclusion</h3>
<p style="text-align:justify;">That is all that we needed to fully install the system. Of course, there are also more things to learn like <strong>Octopi</strong>, <strong>Garuda Gamer</strong>,<strong> </strong>and many more. We have a wiki article describing further steps to take when setting up your fresh installation over <a href="/en/post-installation-tasks">here</a>. Reading this article is highly recommended as it demonstrates some things most people would like to go through on their new installation.</p>
<p style="text-align:justify;">And now, goodbye. <i><strong>Have a good linuxperience</strong></i>! 😌</p>
<p style="text-align:justify;">P.S.: I am really proud of you if you installed Garuda Linux for the first time 😇</p>
